/*
 * Tuxcall -- Call waiting detector for Linux
 * Copyright (C) 2001-2002 Angel Luis Jimenez Martinez
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#   include <config.h>
#endif

#include <intl.h>
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <unistd.h>
#include <stdlib.h>
#include "iir.h"
#include "vec.h"
#include "common.h"
#include "detect_linux.h"

/*
 * Returns true if we have a ppp connection up and running
 */
int connected()
{
    FILE * f;
    char line[500];

    f= fopen( "/proc/net/dev", "r" );
    if ( f==NULL )
    {
        fprintf( stderr, _("Error: Can't open /proc/net/dev.\n") );
        exit(-1);
    }

    while ( !feof( f ) )
    {
        fgets( line, 500, f );
        if ( strstr(line, "ppp") )
        {
            fclose( f );
            return 1;
        }    
    }

    fclose( f );
    return 0;
}

/*
 * Reads buffLen bytes from fd and store them on buff  
 * Returns the number of signed short read 
 */
int readChunk( int fd, signed short * buff, long buffLen )
{
    int len;

    if ((len = read(fd, buff, buffLen)) == -1) 
    {
        perror(_("audio read"));
        exit(1);
    }

    return len/sizeof(signed short);
}

